Bug 1128444 - Edit running VM do not fail for invalid memory value.
Summary: Edit running VM do not fail for invalid memory value.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Betak
QA Contact: Jiri Belka
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 13:50 UTC by Ilanit Stein
Modified: 2016-02-10 19:49 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:41:35 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 32645 master MERGED frontend: Fix validation of UnitVmModel Never
oVirt gerrit 32694 ovirt-engine-3.5 MERGED frontend: Fix validation of UnitVmModel Never

Description Ilanit Stein 2014-08-10 13:50:05 UTC
Description of problem:
Edit running VM with invalid memory, "--- MB", and press OK, memory field is  turned automatically to 0, and the field is marked in a red frame,
and after the message about parameters, that will be applied on next run, pressing OK succeeds, though memory invalid value.

For invalid vm name:
    Can not edit VM. The given name contains special characters. Only lower-case and upper-case letters, numbers, '_', '-', '.' are allowed.
but for invalid memory, for example "--- MB" 


Version-Release number of selected component (if applicable):
ovirt-engine 3.5-rc1

How reproducible:
100%

Expected:
Have invalid memory value fail Edit running VM, similarly to invalid vm name, for which edit VM operation fail, with this message:
    Can not edit VM. The given name contains special characters. Only lower-case and upper-case letters, numbers, '_', '-', '.' are allowed.

Additional info:
There is an event:
event:	
2014-Aug-10, 11:36
VM test2 was configured with 0mb of memory while the recommended value range is 256mb - 64000mb

Comment 1 Jiri Belka 2014-09-25 09:07:41 UTC
ok, rhevm-webadmin-portal-3.5.0-0.13.beta.el6ev.noarch

one cannot submit the dialog with '--- MB' in memory field.

Comment 2 Sandro Bonazzola 2014-10-17 12:41:35 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.